# NOTE: Derived from blib/lib/Config/Framework.pm.
# Changes made here will be lost when autosplit is run again.
# See AutoSplit.pm.
package Config::Framework;

#line 393 "blib/lib/Config/Framework.pm (autosplit into blib/lib/auto/Config/Framework/Log.al)"
## Log ############################################
## NOTE: need to build syslog support into this
## eventually
sub Log {
	my ($self, %p) = @_;
	
	#Message is required
	exists($p{'Message'}) || do {
		$self->{'errstr'} = "Log: 'Message' is a required option";
		return (undef);
	};
	
	#Log is required
	exists($p{'Log'}) || do {
		$self->{'errstr'} = "Log: 'Log' is a required option (path to and name of logfile)";
		return (undef);
	};
	
	#append it to the log file
	open (LOG, ">>$self->{'v_root'}/$p{'Log'}") || do {
		$self->{'errstr'} = "Log: can't open log file ($p{'Log'}: $!\n";
		return (undef);
	};
	my $time = time();
	print LOG "[$time]: $p{'Message'}\n";
	close (LOG);

	#if specified, warn the message to stdout
	if ($p{Echo}){ carp $p{'Message'}; }

	#if specified, die as well
    if ($p{Die}){ die ($p{'Message'}, "\n"); }

	#shenannigans
	return (1);

}

1;
# end of Config::Framework::Log
